%define major 4.0
%define libname %mklibname pqxx %{major}
%define devname %mklibname pqxx -d

Summary:	The official C++ client API for PostgreSQL
Name:		libpqxx
Version:	4.0
Release:	5
License:	GPLv2+
Group:		System/Libraries
Url:		http://pqxx.org/
Source0:	http://pqxx.org/download/software/libpqxx/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	xmlto
BuildRequires:	pkgconfig(libpq)

%description
This library works on top of the C-level API library, libpq. You will need
libpq in order to use libpqxx.

The first thing you're likely to notice in programming with libpqxx is that
unlike other libraries, it revolves entirely around transactions. Transactions
are a central concept in database management systems, but they are widely
underappreciated among application developers. Another well-known open source
database system, MySQL, never even got around to implementing them at all in
their own engine, relying on a third-party replacement engine (now owned by
Oracle) to provide this functionality instead.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The official C++ client API for PostgreSQL
Group:		System/Libraries
Conflicts:	%{name} < 4.0-5
Obsoletes:	%{name} < 4.0-5

%description -n %{libname}
This library works on top of the C-level API library, libpq. You will need
libpq in order to use libpqxx.

The first thing you're likely to notice in programming with libpqxx is that
unlike other libraries, it revolves entirely around transactions. Transactions
are a central concept in database management systems, but they are widely
underappreciated among application developers. Another well-known open source
database system, MySQL, never even got around to implementing them at all in
their own engine, relying on a third-party replacement engine (now owned by
Oracle) to provide this functionality instead.

%files -n %{libname}
%{_libdir}/libpqxx-%{major}.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Databases
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 4.0-5
Obsoletes:	%{name}-devel < 4.0-5

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files -n %{devname}
%{_bindir}/pqxx-config
%{_includedir}/pqxx/*
%{_libdir}/libpqxx.so
%{_libdir}/pkgconfig/libpqxx.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--disable-static
%make

%install

%makeinstall_std


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.0-5
- (793414d) Fix library and development package names


